6.0.0-git
2019-04-25

[#11828] activesync doesn't respect the configured sent-folder settings
Summary activesync doesn't respect the configured sent-folder settings
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester tomi.orava (at) ncircle (dot) nullnet (dot) fi
Created 2012-12-07 (2330 days ago)
Due
Updated 2013-02-20 (2255 days ago)
Assigned 2012-12-07 (2330 days ago)
Resolved 2013-02-20 (2255 days ago)
Milestone
Patch No

History
2013-02-20 00:44:59 Michael Rubinsky Comment #5
State ⇒ Resolved
Reply to this comment
Nice catch, fixed in Git.
2013-02-20 00:43:40 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 7d2cbf3d1f0fd262b9fa3e02294ff12b9b3fc57c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Feb 19 19:40:45 2013 -0500

     Always use the default identity's sent_mail_folder if there is 
more than one.

     Bug: 11828

  .../Core/lib/Horde/Core/ActiveSync/Driver.php      |    6 ------
  .../lib/Horde/Core/ActiveSync/Imap/Factory.php     |   14 +++++++++++++-
  2 files changed, 13 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/7d2cbf3d1f0fd262b9fa3e02294ff12b9b3fc57c
2013-02-19 20:32:25 tomi (dot) orava (at) ncircle (dot) nullnet (dot) fi Comment #3 Reply to this comment
I would need the synclog of a complete FOLDERSYNC command to debug this.
I spent again some time to figure out this bug/feature and it seems 
that everything works just fine as long as you have only one email 
identity. However, if I create a second identity and set the new 
identity to log Sent-mails to a different folder, this latest identity 
Sent-mail settings will always override the default identitys values 
also on the activesync side as well.

Therefore, if you have just the default identity, you know exactly 
where the Sent-mails are being stored. In case you have setup multiple 
email identities, all the sent mails sent via activesync will get 
stored to some Sent-mail folder that was defined in the newest 
additional email identity's settings.

I ran these tests with GIT version 269bddaac57eec1acd39b5f9312b19bbc9a8a193.
2012-12-17 14:26:33 Michael Rubinsky State ⇒ No Feedback
 
2012-12-07 19:48:06 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Milestone ⇒
Reply to this comment
I would need the synclog of a complete FOLDERSYNC command to debug this.


2012-12-07 17:30:55 Michael Rubinsky Version ⇒ Git master
Queue ⇒ Synchronization
 
2012-12-07 09:46:50 tomi (dot) orava (at) ncircle (dot) nullnet (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ activesync doesn't respect the configured sent-folder settings
Queue ⇒ IMP
Milestone ⇒ fbfvy
Patch ⇒ No
Reply to this comment
The git master version of horde 
9dc2c5b411e75d780e8b12d00526f163a5156adc (fri 30.11) doesn't seem to 
respect the user configured sent-mail folder settings. I have 
configured the default indentity via IMP -> personal information -> 
sent folder to be a sub-folder in the INBOX.Sent ---> INBOX.Sent.2012.
However, the all the emails sent via activesync gets copied to 
INBOX.Sent instead. Minor issue of course, but I would expect those 
mails to end up stored in the same location as all the rest of the 
sent mails.

Saved Queries